QGIS Application - Bug report #9738
updatable view QGIS 2.2.0
2014-03-07 02:51 AM - Sylvia Preuss

Status: Closed

Priority: High

Assignee: Jurgen Fischer

Category: Data Provider/PostGIS

Affected QGIS version:2.2.0 Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corruptsdata: Copied to github as #: 18290

Description

| added the view gry_alles to my qgis-project. | chose edit mode and created a new object. | saved it into PostGIS database. Now | want
to make changes on my object, but it's not possible to UPDATE or DELETE it, or change an attribute into the database. The view consists
of two tables which should be updated by rules and functions.

For testing you can use QGIS 1.7.4 or lower, everything is working as it's supposed to. So you can see how it should work. But with the
new QGIS-versions 2.0.1 and 2.2.0 it's not working anymore.
The attributes "objekt" and "merkmali” are the same and "merkmal5" are used for joining the tables.

PostgreSQL 8.1.4 on i686-pc-linux-gnu, compiled by GCC gcc (GCC) 4.1.0 (SUSE Linux)
PostGIS 1.3
QGIS 2.2.0 on Windows7

| added three test-datasets and all sql-statements you need for the example.

Associated revisions

Revision 7f6663a8 - 2014-06-01 12:54 AM - Jiirgen Fischer

postgres: also accept PGRES_TUPLES_OK as positive result for UPDATE/DELETE/INSERT (fixes #9738)

History

#1 - 2014-05-31 03:54 PM - Jiirgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"7{6663a8e6d0bd74e61cd39251c4d7ecfe56af5a".

Files

flaechen.sql 8.5KB 2014-03-07 Sylvia Preuss
func_del_alles.sql 460 Bytes 2014-03-07 Sylvia Preuss
func_upd_alles.sql 2.2KB 2014-03-07 Sylvia Preuss
merkmale.sql 7.49 KB 2014-03-07 Sylvia Preuss
gry_alles.sql 3.23 KB 2014-03-07 Sylvia Preuss
